### Method

# Gtk CellArea get_cell_allocation

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_get_cell_allocation (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      GtkCellRenderer* renderer,
      const GdkRectangle* cell_area,
      GdkRectangle* allocation
    )

#### Description [src]

Derives the allocation of `renderer` inside `area` if `area` were to be rendered in `cell_area`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkCellAreaContext`

  The `GtkCellArea`Context used to hold sizes for `area`.

  The data is owned by the caller of the method.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` that `area` is rendering on.

  The data is owned by the caller of the method.

`renderer`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer` to get the allocation for.

  The data is owned by the caller of the method.

`cell_area`

  Type: `GdkRectangle`

  The whole allocated area for `area` in `widget` for this row.

  The data is owned by the caller of the method.

`allocation`

  Type: `GdkRectangle`

  Where to store the allocation for `renderer`.

  The argument will be set by the function.
  The returned data is owned by the instance.